# frozen_string_literal: true
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'mariko/version'

Gem::Specification.new do |spec|
  spec.name          = 'mariko'
  spec.version       = Mariko::VERSION
  spec.authors       = ['Rafael Gumieri']
  spec.email         = ['rgumieri@gmail.com']

  spec.summary       = 'Manga deliever to Kindle'
  spec.description   = 'Mariko keep listening a directory '\
                       'for new compacted images (manga) '\
                       'to convert in a kindle compatible file '\
                       'and send it using email.'

  spec.homepage      = 'https://github.com/gumieri/mariko'
  spec.license       = 'MIT'

  spec.files         = `git ls-files -z`
                       .split("\x0")
                       .reject { |f| f.match(%r{^(test|spec|features)/}) }

  spec.bindir        = 'bin'
  spec.executables   = ['mariko']
  spec.require_paths = ['lib']

  spec.add_development_dependency 'bundler', '~> 1.12'
  spec.add_development_dependency 'rake', '~> 10.0'
  spec.add_development_dependency 'minitest', '~> 5.0'
  spec.add_development_dependency 'rubocop', '~> 0.42.0'
  spec.add_development_dependency 'guard', '~> 2.14'
  spec.add_development_dependency 'guard-minitest', '~> 2.4', '>= 2.4.6'
  spec.add_development_dependency 'guard-rubocop', '~> 1.2'
  spec.add_development_dependency 'minitest-reporters', '~> 1.1', '>= 1.1.11'

  spec.add_runtime_dependency 'rubyzip', '~> 1.2'
  spec.add_runtime_dependency 'prawn', '~> 2.1'
  spec.add_runtime_dependency 'fastimage', '~> 2.0'
  spec.add_runtime_dependency 'mail', '~> 2.6', '>= 2.6.4'
end
